Set allocator settings
- PUT /platform/infrastructure/allocators/{allocator_id}/settings
Overwrites the allocator settings with the specified settings. WARNING: Any unspecified fields are deleted.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
Query Parameters
-
versionstring Checks for conflicts against the metadata version, then returns the value in the
x-cloud-resource-versionheader.
Request
The allocator settings to apply
-
capacityinteger -
A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.
Responses
Returns the updated settings for the specified allocator
-
capacityinteger -
A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response